Skip to main content
GET
/
flows
/
{id}
/
fields
List fields associated to the Flow
curl --request GET \
  --url https://app.leadconduit.com/flows/{id}/fields \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "standard": true,
    "aggregate": true,
    "deprecated": true,
    "see": "5fd4371e940df5a34a3888b2",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

ID of the flow schema 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

id
string
required

The required alphanumeric identifier of the field. Custom fields have an account-specific suffix (e.g. '_acme')

Examples:

"first_name"

"last_name"

"email"

"phone_1"

name
string
required

The human-readable name of the field

Examples:

"First Name"

"Last Name"

"Email"

"Phone 1"

type
enum<string>
required

The data type of this field

Available options:
boolean,
city,
credential,
date,
email,
first_name,
gender,
last_name,
number,
phone,
postal_code,
range,
ssn,
state,
street,
string,
time,
trustedform_url,
url
description
string

The textual description of the purpose of this field

standard
boolean

Read-only flag indicating whether this is a built-in LeadConduit field

aggregate
boolean
deprecated
boolean

The flag indicating that this field should no longer be used

see
string
read-only

The alternative field ID to be used instead of this deprecated field

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

created_at
string<date-time>

Read-only time the field was created

updated_at
string<date-time>

Read-only time the field was last updated